﻿@model Dictionary<int, BookStore.Models.Book>
@{
    ViewBag.Title = "List";
}


<h1 style="font-size:40px">Show all books</h1>
<hr />
<table border="2" style="font-size:20px">
    <tr>
        <th style="width:auto">Id</th>
        <th><a style="text-decoration: none; color: black" href="SortName">Name&#8711</a></th>
        <th><a style="text-decoration: none; color: black" href="SortPrice">Price&#8711</a></th>
        <th><a style="text-decoration: none; color: black" href="SortGenre">Genre&#8711</a></th>
    </tr>
    @foreach (KeyValuePair<int, BookStore.Models.Book> item in Model)
    {
        if (item.Value.Deleted == false)
        {
            <tr>
                <td>@item.Value.Id</td>
                <td>@item.Value.Name</td>
                <td>@item.Value.Price</td>
                <td>@item.Value.Genre</td>
                <td><a href="Delete/@item.Value.Id">delete</a></td>
            </tr>
        }
    }

</table>
<font size='4'><a href='/BookStore'>Link for HomePage</a></font>

